[SRU] set custom user agent

Bug #1578624 reported by Scott Moser on 2016-05-05
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
simplestreams
Medium
Unassigned
simplestreams (Ubuntu)
Medium
Unassigned
Trusty
Medium
Unassigned
Wily
Medium
Unassigned
Xenial
Critical
Unassigned
Yakkety
Medium
Unassigned

Bug Description

[Impact]
In order for web service to aggregate custom logs, simplestreams client should identify itself via user-agent.

This is required by MAAS to properly identify itself when downloading images.

[Test Case]
1. Install version of simplestreams
2. Try to download streams from a custom source
3. Check apache2 logs like:

192.168.122.1 - - [29/Nov/2016:21:55:03 -0500] "GET /old-images/streams/v1/index.json HTTP/1.1" 200 740 "-" "python-simplestreams/0.1"

[Regression Potential]
None. This doesn't impact the ability for simplestreams to work. It just ensures the client identifies itself.

Scott Moser (smoser) on 2016-05-05
Changed in simplestreams (Ubuntu Trusty):
status: New → Confirmed
Changed in simplestreams (Ubuntu Wily):
status: New → Confirmed
Changed in simplestreams (Ubuntu Xenial):
status: New → Confirmed
Changed in simplestreams (Ubuntu Yakkety):
status: New → Confirmed
Changed in simplestreams (Ubuntu Trusty):
importance: Undecided → Medium
Changed in simplestreams (Ubuntu Wily):
importance: Undecided → Medium
Changed in simplestreams (Ubuntu Xenial):
importance: Undecided → Medium
Changed in simplestreams (Ubuntu Yakkety):
importance: Undecided → Medium
Changed in simplestreams:
importance: Undecided → Medium
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package simplestreams - 0.1.0~bzr430-0ubuntu1

---------------
simplestreams (0.1.0~bzr430-0ubuntu1) yakkety; urgency=medium

  * New upstream snapshot.
    - set a default user agent (LP: #1578622)
    - glance mirror: do not require that hypervisor_config be
      present (LP: #1578624)
    - Optimise read_signed method for better performance (LP: #1580534)

 -- Scott Moser <email address hidden> Thu, 12 May 2016 12:55:30 -0400

Changed in simplestreams (Ubuntu Yakkety):
status: Confirmed → Fix Released
summary: - set custom user agent
+ [SRU] set custom user agent
description: updated
description: updated
Changed in simplestreams (Ubuntu Xenial):
importance: Medium → Critical

Hello Scott, or anyone else affected,

Accepted simplestreams into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/simplestreams/0.1.0~bzr426-0ubuntu1.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in simplestreams (Ubuntu Xenial):
status: Confirmed → Fix Committed
tags: added: verification-needed
Andres Rodriguez (andreserl) wrote :

I've tested and verified it works as expected!

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package simplestreams - 0.1.0~bzr426-0ubuntu1.2

---------------
simplestreams (0.1.0~bzr426-0ubuntu1.2) xenial-proposed; urgency=medium

  * [SRU] Set custom user agent (LP: #1578624)

 -- Andres Rodriguez <email address hidden> Tue, 29 Nov 2016 21:41:48 -0500

Changed in simplestreams (Ubuntu Xenial):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for simplestreams has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

This bug is believed to be fixed in simplestreams in version 0.1.0. If this is still a problem for you, please make a comment and set the state back to New

Thank you.

Changed in simplestreams:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers